#include "microdot.h"

static __chip UWORD Pfeil1Data[18] = {
	/* BitPlane 0 */
   0x0001,
   0x0001,
   0x0181,
   0x03C1,
   0x07E1,
   0x0FF1,
   0x1FF9,
   0x0001,
   0x7FFF,
	/* BitPlane 1 */
   0xFFFE,
   0x8000,
   0x8000,
   0x8000,
   0x8000,
   0x8000,
   0x8000,
   0x8000,
   0x8000
};

static __chip UWORD Pfeil1SelData[18] = {
	/* BitPlane 0 */
   0xFFFE,
   0x8000,
   0x8180,
   0x83C0,
   0x87E0,
   0x8FF0,
   0x9FF8,
   0x8000,
   0x8000,
	/* BitPlane 1 */
   0x0001,
   0x0001,
   0x0001,
   0x0001,
   0x0001,
   0x0001,
   0x0001,
   0x0001,
   0x7FFF
};

static struct Image Pfeil1SelImage = {
	0, 0,		/* LeftEdge, TopEdge */
	16, 9, 2,	/* Width, Height, Depth */
	&Pfeil1SelData[0],	/* ImageData */
	0x03, 0x00,	/* PlanePick, PlaneOnOff */
	NULL		/* NextImage */
};

static struct Image Pfeil1Image = {
	0, 0,		/* LeftEdge, TopEdge */
	16, 9, 2,	/* Width, Height, Depth */
	&Pfeil1Data[0],	/* ImageData */
	0x03, 0x00,	/* PlanePick, PlaneOnOff */
	NULL		/* NextImage */
};

struct Gadget Pfeil1Gadg = {
	NULL,		/* NextGadget */
	640-16, 0,		/* LeftEdge, TopEdge */
	16, 9,		/* Width, Height */
	GADGIMAGE|GADGHIMAGE,	/* Flags */
	RELVERIFY|GADGIMMEDIATE,	/* Activation */
	BOOLGADGET,	/* GadgetType */
	(APTR)&Pfeil1Image,	/* GadgetRender */
	(APTR)&Pfeil1SelImage,		/* SelectRender */
	NULL,		/* GadgetText */
	0L,		/* MutualExclude */
	NULL,		/* SpecialInfo */
	3,		/* GadgetID */
	NULL,		/* UserData */
};



static __chip UWORD Pfeil2Data[18] = {
	/* BitPlane 0 */
   0x0001,
   0x0001,
   0x1FF9,
   0x0FF1,
   0x07E1,
   0x03C1,
   0x0181,
   0x0001,
   0x7FFF,
	/* BitPlane 1 */
   0xFFFE,
   0x8000,
   0x8000,
   0x8000,
   0x8000,
   0x8000,
   0x8000,
   0x8000,
   0x8000
};

static struct Image Pfeil2Image = {
	0, 0,		/* LeftEdge, TopEdge */
	16, 9, 2,	/* Width, Height, Depth */
	&Pfeil2Data[0],	/* ImageData */
	0x03, 0x00,	/* PlanePick, PlaneOnOff */
	NULL		/* NextImage */
};

static __chip UWORD Pfeil2SelData[18] = {
	/* BitPlane 0 */
   0xFFFE,
   0x8000,
   0x9FF8,
   0x8FF0,
   0x87E0,
   0x83C0,
   0x8180,
   0x8000,
   0x8000,
	/* BitPlane 1 */
   0x0001,
   0x0001,
   0x0001,
   0x0001,
   0x0001,
   0x0001,
   0x0001,
   0x0001,
   0x7FFF
};

static struct Image Pfeil2SelImage = {
	0, 0,		/* LeftEdge, TopEdge */
	16, 9, 2,	/* Width, Height, Depth */
	&Pfeil2SelData[0],	/* ImageData */
	0x03, 0x00,	/* PlanePick, PlaneOnOff */
	NULL		/* NextImage */
};


struct Gadget Pfeil2Gadg = {
	&Pfeil1Gadg,		/* NextGadget */
	640-16, 0,		/* LeftEdge, TopEdge */
	16, 9,		/* Width, Height */
	GADGIMAGE|GADGHIMAGE,	/* Flags */
	RELVERIFY|GADGIMMEDIATE,	/* Activation */
	BOOLGADGET,	/* GadgetType */
	(APTR)&Pfeil2Image,	/* GadgetRender */
	(APTR)&Pfeil2SelImage,		/* SelectRender */
	NULL,		/* GadgetText */
	0L,		/* MutualExclude */
	NULL,		/* SpecialInfo */
	2,		/* GadgetID */
	NULL,		/* UserData */
};

